#ifndef PLAYER_H
#define PLAYER_H

#include "entity.h"
#include "olcPGE_Common.h"

namespace pabloader {

class Player : public Entity {
private:
    uint8_t tile = 0;
    uint8_t skin = 0;
    uint32_t tileCounter = 0;
    bool onGround = false;

public:
    Player(Debuggers* game);
    void Update(float dt) override;
    void Draw() override;
    bool IsOnGround() { return onGround; }
    uint8_t GetSkin() { return skin; }
    void UpgradeLevel() { skin = std::min(skin + 1, 3); }
};
}

#endif